/* $Cambridge: hermes/src/prayer/session/mm.h,v 1.3 2008/09/16 09:59:58 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2008 */
/* See the file NOTICE for conditions of use and distribution. */

void mm_init(void);
void
mm_register_login_callback(void (*fn) (NETMBX * mb, char *user,
                                       char *pwd, long trial));
void
mm_register_list_callback(void (*fn) (MAILSTREAM *, int, char *, long));
BOOL mm_have_error(void);
void mm_clear_error(void);
void mm_set_error(void);
void mm_clear_errmsg(void);
char *mm_errmsg(void);
